package cn.wisenergy.mapper;

import cn.wisenergy.model.app.UserWithdraws;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 提币申请记录表 Mapper 接口
 * </p>
 *
 * @author chenqi
 * @since 2021-06-15
 */
public interface UserWithdrawsMapper extends BaseMapper<UserWithdraws> {
    /**
     * 获取该用户提现总额
     * @param userId 用户id
     * @return 提现总额
     */
    Double getTotalWithdrawal(@Param("userId") Long userId);

}
